=== debian/changelog ===
wala (1.3.9-2) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.

  [ Kai-Chung Yan (殷啟聰) ]
  * d/control: Depends on default-jdk-doc instead of default-java-doc
    (Closes: #856521)

 -- tony mancill <tmancill@debian.org>  Thu, 04 May 2017 20:38:04 -0700

wala (1.3.9-1) unstable; urgency=medium

  * Initial release (Closes: #855270)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 16 Feb 2017 17:07:38 +0800
