=== debian/control ===
Source: wala
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
Build-Depends: debhelper (>= 10~),
               default-jdk-doc,
               default-jdk-headless (>= 2:1.8) | default-jdk (>= 2:1.8),
               gradle-debian-helper,
               javahelper,
               libcommons-cli-java,
               libcommons-io-java,
               libguava-java,
               liblogback-java,
               libslf4j-java,
               libsmali-1-java,
               maven-repo-helper
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/wala.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/wala.git
Homepage: http://wala.sourceforge.net

Package: libwala-java
Architecture: all
Depends: libcommons-cli-java,
         libcommons-io-java,
         libguava-java,
         liblogback-java,
         libslf4j-java,
         libsmali-1-java,
         ${misc:Depends}
Description: Static analysis on Java bytecode and related languages
 The T. J. Watson Libraries for Analysis (WALA) provide static analysis
 capabilities for Java bytecode and related languages and for JavaScript. WALA
 features include:
 .
   * Java type system and class hierarchy analysis
   * Source language framework supporting Java and JavaScript
   * Interprocedural dataflow analysis (RHS solver)
   * Context-sensitive tabulation-based slicer
   * Pointer analysis and call graph construction
   * SSA-based register-transfer language IR
   * General framework for iterative dataflow
   * General analysis utilities and data structures
   * A bytecode instrumentation library (Shrike) and a dynamic load-time
     instrumentation library for Java (Dila)
 .
 Currently this package provides the following libraries:
 .
   * wala-cast
   * wala-core
   * wala-dalvik
   * wala-shrike
   * wala-util

Package: libwala-java-doc
Section: doc
Architecture: all
Depends: default-jdk-doc, ${misc:Depends}
Description: Static analysis on Java bytecode and related languages - Docs
 The T. J. Watson Libraries for Analysis (WALA) provide static analysis
 capabilities for Java bytecode and related languages and for JavaScript. WALA
 features include:
 .
   * Java type system and class hierarchy analysis
   * Source language framework supporting Java and JavaScript
   * Interprocedural dataflow analysis (RHS solver)
   * Context-sensitive tabulation-based slicer
   * Pointer analysis and call graph construction
   * SSA-based register-transfer language IR
   * General framework for iterative dataflow
   * General analysis utilities and data structures
   * A bytecode instrumentation library (Shrike) and a dynamic load-time
     instrumentation library for Java (Dila) 
 .
 This package provides the documentations.
