=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=gradle --with javahelper,maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- --project-prop DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) \
	                 --settings-file debian/settings.gradle \
	                 -Dfile.encoding=UTF-8

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r debian/.gradle

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz
