## wala 1.5.1

=== debian/changelog ===
wala (1.5.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2019 15:45:04 +0100

wala (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * update Vcs tags to point to salsa.debian.org

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 30 Jan 2019 23:29:03 +0100

wala (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 21 Jan 2019 16:38:54 +0100

wala (1.3.9-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.3.0 remove get-orig-source
  * update Vcs URLs to salsa.debian.org

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 21 Jan 2019 14:28:16 +0100
