=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=gradle --with javahelper,maven_repo_helper

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- javadoc || true  # generates but fails with bizarre error

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r debian/.gradle

override_jh_installjavadoc:
	jh_installjavadoc -plibwala-java-doc com.ibm.wala.util/build/docs/javadoc usr/share/doc/libwala-java/api
