=== debian/watch ===
version=4
https://github.com/wala/WALA/tags /wala/WALA/archive/R@ANY_VERSION@.tar.gz
