=== debian/changelog ===
wala (1.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream Version
  * Bumped Standard version (no changes needed)
  * patches modified according to new upstream version (Closes: #955695)
  * patch description done

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Thu, 14 May 2020 20:58:53 +0530
