=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                default-jdk-doc,
                default-jdk-headless (>= 2:1.8) | default-jdk (>= 2:1.8),
                gradle-debian-helper,
@@ -13,11 +13,11 @@
                libguava-java,
                liblogback-java,
                libslf4j-java,
-               libsmali-1-java,
+               libsmali-java (>= 2.2.6),
                maven-repo-helper
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/wala.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/wala.git
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/java-team/wala.git
+Vcs-Browser: https://salsa.debian.org/java-team/wala
 Homepage: http://wala.sourceforge.net
 
 Package: libwala-java
@@ -27,7 +27,7 @@
          libguava-java,
          liblogback-java,
          libslf4j-java,
-         libsmali-1-java,
+         libsmali-java (>= 2.2.6),
          ${misc:Depends}
 Description: Static analysis on Java bytecode and related languages
  The T. J. Watson Libraries for Analysis (WALA) provide static analysis
@@ -71,6 +71,6 @@
    * General framework for iterative dataflow
    * General analysis utilities and data structures
    * A bytecode instrumentation library (Shrike) and a dynamic load-time
-     instrumentation library for Java (Dila) 
+     instrumentation library for Java (Dila)
  .
  This package provides the documentations.
