=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	dh_auto_build -- javadoc || true  # generates but fails with bizarre error
+	dh_auto_build -- javadoc || echo "ignoring, generates but fails with bizarre error"
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -15,3 +15,4 @@
 
 override_jh_installjavadoc:
 	jh_installjavadoc -plibwala-java-doc com.ibm.wala.util/build/docs/javadoc usr/share/doc/libwala-java/api
+	rm -rf debian/libwala-java-doc/usr/share/doc/libwala-java/api/jquery
