=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/WALA-$1\.tar\.gz/ \
  https://github.com/wala/WALA/tags .*/v?(\d\S+)\.tar\.gz
